#import <Foundation/Foundation.h>
#import "HJ3dCage.h"

#define SCALE 50.0

@interface Controller : NSObject {
	IBOutlet HJ3dCage *cosmosView;
	IBOutlet NSDrawer *drawerController;
	int depth, shape, N, NN, NNN;
	BOOL subcells;
}
-(void)iterateWithCount:(int)count x:(double)x y:(double)y z:(double)z length:(double)length;
-(IBAction)start:(id)sender;
-(IBAction)setIterationDepth:(id)slider;
-(IBAction)setMagnification:(id)slider;
-(IBAction)setRotationSpeed:(id)slider;
-(IBAction)setShape:(id)sender;
-(IBAction)setN:(id)slider;
-(IBAction)setSubcells:(id)sender;
-(IBAction)setAnimation:(id)sender;

@end